//----------------------------------------------------------------------
//This is the HLSL intrinsic  function translation for vertex shaders (no textures)
//
//Author - Michal Valient
//Copyright (C) 2004 Caligari corporation
//
//----------------------------------------------------------------------

#ifdef rtx_Ddx
    #undef rtx_Ddx
#endif
#ifdef rtx_Ddy
    #undef rtx_Ddy
#endif
#ifdef rtx_Tex1D
    #undef rtx_Tex1D
#endif
#ifdef rtx_Tex1DProj
    #undef rtx_Tex1DProj
#endif
#ifdef rtx_Tex1DBias
    #undef rtx_Tex1DBias
#endif
#ifdef rtx_Tex2D
    #undef rtx_Tex2D
#endif
#ifdef rtx_Tex2DProj
    #undef rtx_Tex2DProj
#endif
#ifdef rtx_Tex2DBias
    #undef rtx_Tex2DBias
#endif
#ifdef rtx_Tex3D
    #undef rtx_Tex3D
#endif
#ifdef rtx_Tex3DProj
    #undef rtx_Tex3DProj
#endif
#ifdef rtx_Tex3DBias
    #undef rtx_Tex3DBias
#endif
#ifdef rtx_TexCUBE
    #undef rtx_TexCUBE
#endif
#ifdef rtx_TexCUBEProj
    #undef rtx_TexCUBEProj
#endif
#ifdef rtx_TexCUBEBias
    #undef rtx_TexCUBEBias
#endif

#ifdef ddx
    #undef ddx
#endif
#ifdef ddy
    #undef ddy
#endif
#ifdef tex1D
    #undef tex1D
#endif
#ifdef tex1Dproj
    #undef tex1Dproj
#endif
#ifdef tex1Dbias
    #undef tex1Dbias
#endif
#ifdef tex2D
    #undef tex2D
#endif
#ifdef tex2Dproj
    #undef tex2Dproj
#endif
#ifdef tex2Dbias
    #undef tex2Dbias
#endif
#ifdef tex3D
    #undef tex3D
#endif
#ifdef tex3Dproj
    #undef tex3Dproj
#endif
#ifdef tex3Dbias
    #undef tex3Dbias
#endif
#ifdef texCUBE
    #undef texCUBE
#endif
#ifdef texCUBEproj
    #undef texCUBEproj
#endif
#ifdef texCUBEbias
    #undef texCUBEbias
#endif

#ifdef rtx_CubeNormalize
    #undef rtx_CubeNormalize
#endif

#define rtx_Ddx(X) 1
#define rtx_Ddy(X) 1
#define rtx_Tex1D(S,T) 1
#define rtx_Tex1DProj(S,T) 1
#define rtx_Tex1DBias(S,T) 1
#define rtx_Tex2D(S,T) 1
#define rtx_Tex2DProj(S,T) 1
#define rtx_Tex2DBias(S,T) 1
#define rtx_Tex3D(S,T) 1
#define rtx_Tex3DProj(S,T) 1
#define rtx_Tex3DBias(S,T) 1
#define rtx_TexCUBE(S,T) 1
#define rtx_TexCUBEProj(S,T) 1
#define rtx_TexCUBEBias(S,T) 1

#define ddx(X) 1
#define ddy(X) 1
#define tex1D(S,T) 1
#define tex1Dproj(S,T) 1
#define tex1Dbias(S,T) 1
#define tex2D(S,T) 1
#define tex2Dproj(S,T) 1
#define tex2Dbias(S,T) 1
#define tex3D(S,T) 1
#define tex3Dproj(S,T) 1
#define tex3Dbias(S,T) 1
#define texCUBE(S,T) 1
#define texCUBEproj(S,T) 1
#define texCUBEbias(S,T) 1

#define rtx_CubeNormalize normalize
